import { store } from "@/store";
import { defineStore } from "pinia";

export const useCommonStore = defineStore("commonStore", {
  state: () => ({
    // 弹出公共Table的弹窗
    isShowTable: false,
    tableType: 1,
    tableTitle: "",
    //   菜单切换
    currentMenu: {
      name: "首页",
      icon: "home",
      route: "/main/home",
    },
  }),
  persist: true,
});

export function useCommonStoreHook() {
  return useCommonStore(store);
}
